Debian Bug report logs - #567571
ktechlab: FTBFS on GNU/KfreeBSD

version graph

Package: ktechlab; Maintainer for ktechlab is Georges Khaznadar <georgesk@ofset.org>;

Reported by: Javier Mendez Gomez <jamego1293@andaluciajunta.es>

Date: Fri, 29 Jan 2010 20:54:01 UTC

Severity: important

Found in version ktechlab/0.3.7-3

Fixed in version ktechlab/0.3.7-10

Done: Georges Khaznadar <georgesk@ofset.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, jamego1293@andaluciajunta.es, Georges Khaznadar <georgesk@ofset.org>:
Bug#567571; Package ktechlab. (Fri, 29 Jan 2010 20:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Javier Mendez Gomez <jamego1293@andaluciajunta.es>:
New Bug report received and forwarded. Copy sent to jamego1293@andaluciajunta.es, Georges Khaznadar <georgesk@ofset.org>. (Fri, 29 Jan 2010 20:54:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Javier Mendez Gomez <jamego1293@andaluciajunta.es>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ktechlab: FTBFS on GNU/KfreeBSD
Date: Fri, 29 Jan 2010 23:19:48 +0100
Package: ktechlab
Version: 0.3.7-3
Severity: important

Hi,

The code in  src/electronics/port.cpp needs implementation on FreeBSD's
pararell and serial port interfaces, but there is a line wich includes
a Linux specific header when isn't defined DARWIN, so this package fails
to build from source.

This can be avoided adding __FreeBSD_kernel__ definition checks in the
DARWIN ones.

Cheers,
Javier

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: kfreebsd-i386 (i686)

Kernel: kFreeBSD 8.0-1-686
Locale: LANG=es_ES.UTF-8, LC_CTYPE=es_ES.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages ktechlab depends on:
ii  gpsim                  0.22.0-5.2+b1     Simulator for Microchip's PIC micr
ii  kdelibs4c2a            4:3.5.10.dfsg.1-3 core libraries and binaries for al
ii  libacl1                2.2.49-1          Access control list shared library
ii  libart-2.0-2           2.3.20-2          Library of functions for 2D graphi
ii  libatk1.0-0            1.28.0-1          The ATK accessibility toolkit
ii  libattr1               1:2.4.44-1        Extended attribute shared library
ii  libaudio2              1.9.2-3           Network Audio System - shared libr
ii  libc0.1                2.10.2-2          GNU C Library: Shared libraries
ii  libcairo2              1.8.8-2           The Cairo 2D vector graphics libra
ii  libfam0                2.7.0-16.1        Client library to control the FAM 
ii  libfontconfig1         2.8.0-2           generic font configuration library
ii  libfreetype6           2.3.11-1          FreeType 2 font engine, shared lib
ii  libgcc1                1:4.4.3-1         GCC support library
ii  libglib2.0-0           2.22.4-1          The GLib library of C routines
ii  libgtk2.0-0            2.18.6-1          The GTK+ graphical user interface 
ii  libice6                2:1.0.6-1         X11 Inter-Client Exchange library
ii  libidn11               1.15-2            GNU Libidn library, implementation
ii  libjpeg62              6b-15             The Independent JPEG Group's JPEG 
ii  libpango1.0-0          1.26.2-1          Layout and rendering of internatio
ii  libpcre3               7.8-3             Perl 5 Compatible Regular Expressi
ii  libpng12-0             1.2.42-1          PNG library - runtime
ii  libpopt0               1.15-1            lib for parsing cmdline parameters
ii  libqt3-mt              3:3.3.8b-6        Qt GUI Library (Threaded runtime v
ii  libreadline6           6.1-1             GNU readline and history libraries
ii  libsm6                 2:1.1.1-1         X11 Session Management library
ii  libstdc++6             4.4.3-1           The GNU Standard C++ Library v3
ii  libx11-6               2:1.3.3-1         X11 client-side library
ii  libxcursor1            1:1.1.10-1        X cursor management library
ii  libxext6               2:1.1.1-2         X11 miscellaneous extension librar
ii  libxft2                2.1.14-1          FreeType-based font drawing librar
ii  libxi6                 2:1.3-2           X11 Input extension library
ii  libxinerama1           2:1.1-2           X11 Xinerama extension library
ii  libxrandr2             2:1.3.0-2         X11 RandR extension library
ii  libxrender1            1:0.9.5-1         X Rendering Extension client libra
ii  libxt6                 1:1.0.7-1         X11 toolkit intrinsics library
ii  zlib1g                 1:1.2.3.4.dfsg-3  compression library - runtime

Versions of packages ktechlab recommends:
ii  gputils                       0.13.7-1   GNU PIC utilities

ktechlab suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Georges Khaznadar <georgesk@ofset.org>:
Bug#567571; Package ktechlab. (Sat, 27 Feb 2010 15:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Georges Khaznadar <georges.khaznadar@free.fr>:
Extra info received and forwarded to list. Copy sent to Georges Khaznadar <georgesk@ofset.org>. (Sat, 27 Feb 2010 15:54:03 GMT) Full text and rfc822 format available.

Message #10 received at 567571@bugs.debian.org (full text, mbox):

From: Georges Khaznadar <georges.khaznadar@free.fr>
To: Javier Mendez Gomez <jamego1293@andaluciajunta.es>, 567571@bugs.debian.org
Subject: Re: Bug#567571: ktechlab: FTBFS on GNU/KfreeBSD
Date: Sat, 27 Feb 2010 16:49:07 +0100
[Message part 1 (text/plain, inline)]
Hello Javier,

Javier Mendez Gomez a écrit :
> The code in  src/electronics/port.cpp needs implementation on FreeBSD's
> pararell and serial port interfaces, but there is a line wich includes
> a Linux specific header when isn't defined DARWIN, so this package fails
> to build from source.
> 
> This can be avoided adding __FreeBSD_kernel__ definition checks in the
> DARWIN ones.

I tried to make the modification which you suggest. However, the build
seems to fail, see the buildd log at
https://buildd.debian.org/build.cgi?pkg=ktechlab
and more precisely at
https://buildd.debian.org/fetch.cgi?pkg=ktechlab;ver=0.3.7-9;arch=kfreebsd-amd64;stamp=1266426552

Here are the errors reported when compiling port.cpp:

port.cpp:278: error: 'PPRDATA' was not declared in this scope
port.cpp:279: error: 'PPRSTATUS' was not declared in this scope
port.cpp:280: error: 'PPRCONTROL' was not declared in this scope
port.cpp:284: error: 'PPWDATA' was not declared in this scope
port.cpp:286: error: 'PPWCONTROL' was not declared in this scope
port.cpp: In static member function 'static Port::ProbeResult
ParallelPort::probe(const QString&)':
port.cpp:480: error: 'PPCLAIM' was not declared in this scope
port.cpp:486: error: 'PPRELEASE' was not declared in this scope
port.cpp: In member function 'bool ParallelPort::openPort(const
QString&)':
port.cpp:539: error: 'PPCLAIM' was not declared in this scope
port.cpp: In member function 'void ParallelPort::closePort()':
port.cpp:560: error: 'PPRELEASE' was not declared in this scope

As per the modification I made, the Linux specific header is no more
included, but the compiler misses the definition of a few symbols. As
*you* know the freebsd platform, please can you give me some hint about
a freebsd-specific header which would implement the missing definitions?

(A patch would be highly appreciated, remember that I cannot immediately
test the modification in a freebsd environment).

Best regards,			Georges.

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Georges Khaznadar <georgesk@ofset.org>:
Bug#567571; Package ktechlab. (Sun, 28 Feb 2010 10:49:51 GMT) Full text and rfc822 format available.

Acknowledgement sent to jamego1293@andaluciajunta.es:
Extra info received and forwarded to list. Copy sent to Georges Khaznadar <georgesk@ofset.org>. (Sun, 28 Feb 2010 10:49:51 GMT) Full text and rfc822 format available.

Message #15 received at 567571@bugs.debian.org (full text, mbox):

From: jamego1293@andaluciajunta.es
To: "Georges Khaznadar" <georges.khaznadar@free.fr>, 567571@bugs.debian.org
Subject: Re: Bug#567571: ktechlab: FTBFS on GNU/KfreeBSD
Date: Sun, 28 Feb 2010 11:17:26 +0100 (CET)
[Message part 1 (text/plain, inline)]





Hello,

I'm sorry about my English, as you can see, I can't express myself very well
in English :-)

I did a dirty patch wich implements (I hope) the pararell port features on
Debian GNU/kFreeBSD, on FreeBSD I have not tried to build the package yet.

Applying this patch the package builds without errors, but I have had some
problems with PPCLAIM and PPRELEASE, I don't know how to implement it.
In some codes I found, PPCLAIM and PPRELEASE are ignored on FreeBSD, so I did
this.

However, the package builds without problems, but the patch
50-define-for-freeBSD.patch should be removed, because the attached patch
replaces it.

Cheers,
Javier
[kfreebsd-pararell.patch (text/x-diff, attachment)]

Reply sent to Georges Khaznadar <georgesk@ofset.org>:
You have taken responsibility. (Sun, 15 Aug 2010 09:33:13 GMT) Full text and rfc822 format available.

Notification sent to Javier Mendez Gomez <jamego1293@andaluciajunta.es>:
Bug acknowledged by developer. (Sun, 15 Aug 2010 09:33:13 GMT) Full text and rfc822 format available.

Message #20 received at 567571-close@bugs.debian.org (full text, mbox):

From: Georges Khaznadar <georgesk@ofset.org>
To: 567571-close@bugs.debian.org
Subject: Bug#567571: fixed in ktechlab 0.3.7-10
Date: Sun, 15 Aug 2010 09:32:11 +0000
Source: ktechlab
Source-Version: 0.3.7-10

We believe that the bug you reported is fixed in the latest version of
ktechlab, which is due to be installed in the Debian FTP archive:

ktechlab_0.3.7-10.diff.gz
  to main/k/ktechlab/ktechlab_0.3.7-10.diff.gz
ktechlab_0.3.7-10.dsc
  to main/k/ktechlab/ktechlab_0.3.7-10.dsc
ktechlab_0.3.7-10_amd64.deb
  to main/k/ktechlab/ktechlab_0.3.7-10_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 567571@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Georges Khaznadar <georgesk@ofset.org> (supplier of updated ktechlab package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 28 Feb 2010 12:15:21 +0100
Source: ktechlab
Binary: ktechlab
Architecture: source amd64
Version: 0.3.7-10
Distribution: unstable
Urgency: low
Maintainer: Georges Khaznadar <georgesk@ofset.org>
Changed-By: Georges Khaznadar <georgesk@ofset.org>
Description: 
 ktechlab   - circuit simulator for microcontrollers and electronics
Closes: 567571
Changes: 
 ktechlab (0.3.7-10) unstable; urgency=low
 .
   * integrated jamego1293@andaluciajunta.es's patch, which makes
     the build possible in Debian GNU/kFreeBSD architectures.
     Closes: 567571
   * upgraded Standards-Version to 3.9.1, and compat to 7
Checksums-Sha1: 
 7b5c51e581eefaed93b6d67b45dc83383f8c59b5 1151 ktechlab_0.3.7-10.dsc
 87dbf943cb532c1a7a90a7fa3ee7c3585ec7b316 911841 ktechlab_0.3.7-10.diff.gz
 f5a2a85cf665427588e7fe81848bbbd05f1550b5 1923534 ktechlab_0.3.7-10_amd64.deb
Checksums-Sha256: 
 9d5ff36788fd09a94eb2bad99ec367c21d225f88572f7b5153b5f738b5cf1cc2 1151 ktechlab_0.3.7-10.dsc
 b89555732f9460d486b1d93cd7f62bddede5e2aacbd7cfc59ac719a1fac7ee55 911841 ktechlab_0.3.7-10.diff.gz
 27e59f2632896b2c63dd75e44101b434ebf396fded53110d9da064f19155accd 1923534 ktechlab_0.3.7-10_amd64.deb
Files: 
 91bb095fa4fdb266cfd3d55918705f67 1151 kde optional ktechlab_0.3.7-10.dsc
 856dc947b54f202ff074013e03fb2919 911841 kde optional ktechlab_0.3.7-10.diff.gz
 a0d75717c8cd5ce57cc9c5e789a2c38b 1923534 kde optional ktechlab_0.3.7-10_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFMZ7HDnfmb2hFpETARAqGqAJ9gEKLYAH3b1awHgYG5kW2Fk0ckIACfcn7T
+L7DHMTZM14Qy6JCsql47K0=
=qdKp
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 11 Oct 2010 07:38:43 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 18:20:39 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.